diff --git a/bin/get_calibrations b/bin/get_calibrations
old mode 100644
new mode 100755
index 57389c8e97117f9517ffde0a83823a9ac31dcc19..d543c491d9c77b3e1594e6ca2bbf48825e77bd9e
--- a/bin/get_calibrations
+++ b/bin/get_calibrations
@@ -6,4 +6,8 @@ detector_benchmarks=https://eicweb.phy.anl.gov/EIC/benchmarks/detector_benchmark
 mkdir -p config
 for i in results/emcal_barrel_calibration.json ; do
   curl --fail -sL ${detector_benchmarks}/${i}?job=deploy_results --output config/$(basename ${i})
+  if [[ "$?" -ne "0" ]] ; then
+    echo "Error: could not retrieve calibrations!"
+    exit 1
+  fi
 done